ru.bitel.bgbilling.kernel.network.radius

## Interface RadiusProtocolHandler

- All Known Subinterfaces:
    ProtocolHandler
  All Known Implementing Classes:
    ProtocolHandlerAdapter

      public interface RadiusProtocolHandler

  Обработчик RADIUS-запросов
  Author:
    amir

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Постобработка RADIUS-запроса Access-Request
    `void` | `postprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Постобработка RADIUS-запроса Accounting-Request
    `void` | `preprocessAccessRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Предобработка RADIUS-запроса Access-Request
    `void` | `preprocessAccountingRequest(RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet)` Предобработка RADIUS-запроса Accounting-Request

- - ### Method Detail

    - #### preprocessAccessRequest

          void preprocessAccessRequest(RadiusPacket request,
                                       RadiusPacket response,
                                       ConnectionSet connectionSet)
                                throws java.lang.Exception

      Предобработка RADIUS-запроса Access-Request
      Parameters:
        `request` -
        `response` -
        `connectionSet` -
      Throws:
        `java.lang.Exception`

    - #### postprocessAccessRequest

          void postprocessAccessRequest(RadiusPacket request,
                                        RadiusPacket response,
                                        ConnectionSet connectionSet)
                                 throws java.lang.Exception

      Постобработка RADIUS-запроса Access-Request
      Parameters:
        `request` -
        `response` -
        `connectionSet` -
      Throws:
        `java.lang.Exception`

    - #### preprocessAccountingRequest

          void preprocessAccountingRequest(RadiusPacket request,
                                           RadiusPacket response,
                                           ConnectionSet connectionSet)
                                    throws java.lang.Exception

      Предобработка RADIUS-запроса Accounting-Request
      Parameters:
        `request` -
        `response` -
        `connectionSet` -
      Throws:
        `java.lang.Exception`

    - #### postprocessAccountingRequest

          void postprocessAccountingRequest(RadiusPacket request,
                                            RadiusPacket response,
                                            ConnectionSet connectionSet)
                                     throws java.lang.Exception

      Постобработка RADIUS-запроса Accounting-Request
      Parameters:
        `request` -
        `response` -
        `connectionSet` -
      Throws:
        `java.lang.Exception`